[Previous] [Next] [Contents]

## `PART::ListPartIn` -- list of partitions contained into a given partition or between two given partitions

#### Call(s)

`PART::ListPartIn(part <,partin> <,options>)`

#### Parameters

`part, partin` | - | any lists denoting partitions
`n` | - | any non negative integer

#### Options

`weight=w` | - | weight of listed partitions is `w`
`nb` | - | only counts objects

Use the syntax `hold(identifier)`, instead of `identifier`, if one of the identifiers above is already defined.

#### Introduction

The `PART::ListPartIn` function gives all partitions contained into the diagram of a given partition. The list is ordered by increasing length.

Called with a second argument `Partin`, the function returns the list of all partitions contained into the diagram of `part` and containing the diagram of `partin`.

#### Example 1

    >> muEC::PART::ListPartIn( [3,1] );

                    [[], [1], [2], [3], [1, 1], [2, 1], [3, 1]]

    >> muEC::PART::ListPartIn( [3,2,1], [2,1,1] );

                   [[2, 1, 1], [2, 2, 1], [3, 1, 1], [3, 2, 1]]

    >> muEC::PART::ListPartIn( [4,3,2], weight=6 );

                 [[4, 2], [3, 3], [4, 1, 1], [3, 2, 1], [2, 2, 2]]

    >> muEC::PART::ListPartIn( [40,30,15,10,8,7,5,3,1], nb );

                                      9631414

#### Related Functions

`ListPart`, `ListSkewDiag`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package